=== debian/changelog ===
synfig (1.4.2-0ubuntu1) unstable; urgency=medium

  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 07 Sep 2021 20:15:45 +1200
