=== debian/control ===
Source: synfig
Section: graphics
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12), autopoint, intltool
    ,binutils
    ,etl-dev (>= 1.4.2~)
    ,libavcodec-dev
    ,libavformat-dev
    ,libavutil-dev
    ,libboost-all-dev
    ,libcairo-dev
    ,libfftw3-dev
    ,libfontconfig1-dev
    ,libfreetype6-dev
    ,libgl1-mesa-dev
    ,libglibmm-2.4-dev
    ,libjpeg-dev
    ,libltdl-dev
    ,libmagick++-dev
    ,libmlt++-dev
    ,libmlt-dev
    ,libmng-dev
    ,libopenexr-dev
    ,libpango1.0-dev
    ,libpng-dev
    ,libsigc++-2.0-dev
    ,libswscale-dev
    ,libtiff-dev
    ,libxml++2.6-dev
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
Homepage: http://www.synfig.org/
Rules-Requires-Root: no

Package: synfig
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: synfigstudio,
 synfig-examples
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig0a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libdv-bin,
# libav-tools,
 imagemagick
Breaks: synfigstudio (<< 0.64.2)
Conflicts: libsynfig0v5, libsynfig0
Replaces: libsynfig0v5, libsynfig0
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends} ,libsynfig0a (= ${binary:Version})
    ,etl-dev (>= 1.4.0~)
    ,libavcodec-dev
    ,libavformat-dev
    ,libavutil-dev
    ,libcairo-dev
    ,libfftw3-dev
    ,libfontconfig1-dev
    ,libfreetype6-dev
    ,libglibmm-2.4-dev
    ,libmlt++-dev
    ,libopenexr-dev
    ,libpango1.0-dev
    ,libsigc++-2.0-dev
    ,libswscale-dev
    ,libxml++2.6-dev
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: synfig-examples
Architecture: all
Multi-Arch: foreign
Suggests: synfigstudio
Conflicts: libsynfig-doc
Replaces: libsynfig-doc
Depends: ${misc:Depends}
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.
