=== synfig-core/src/synfig/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,23 @@
 ## TODO: optional static linking?
 add_library(synfig SHARED "")
 
+add_definitions(-DVERSION="${STUDIO_VERSION_MAJOR}.${STUDIO_VERSION_MINOR}.${STUDIO_VERSION_PATCH}")
+
 message(STATUS "MLT DIR: ${MLT_INCLUDE_DIRS}")
+
+# By default, the libtool places its headers in the system directory (/usr/local/include), and
+# compiler automatically finds ltdl.h header. But on MacOS, CMake overrides the system directory
+# using the `-sysroot` flag, and this header cannot be found. (https://gitlab.kitware.com/cmake/cmake/-/issues/19120)
+# So, we need to manually find it.
+
+if(APPLE OR VCPKG_TOOLCHAIN)
+    find_path(LTDL_INCLUDE_DIRS ltdl.h)
+    find_library(LTDL_LIBRARIES ltdl)
+    message(STATUS "Libltdl headers:   ${LTDL_INCLUDE_DIRS}")
+    message(STATUS "Libltdl libraries: ${LTDL_LIBRARIES}")
+else()
+    set(LTDL_LIBRARIES ltdl)
+endif()
 
 target_include_directories(synfig
 #    SYSTEM BEFORE PUBLIC
@@ -20,6 +36,7 @@
         ${PANGO_INCLUDE_DIRS}
         ${MLT_INCLUDE_DIRS}
         ${FFTW_INCLUDE_DIRS}
+        ${LTDL_INCLUDE_DIRS}
 )
 
 target_sources(synfig
@@ -27,8 +44,6 @@
         "${CMAKE_CURRENT_LIST_DIR}/activepoint.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/bone.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/blur.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/cairo_operators.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/cairo_renddesc.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/canvas.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/context.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/curve_helper.cpp"
@@ -37,7 +52,6 @@
         "${CMAKE_CURRENT_LIST_DIR}/exception.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/guid.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/importer.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/cairoimporter.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/keyframe.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/layer.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/loadcanvas.cpp"
@@ -85,14 +99,11 @@
         "${CMAKE_CURRENT_LIST_DIR}/target_null.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/target_null_tile.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/target_scanline.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/target_cairo.cpp"
         "${CMAKE_CURRENT_LIST_DIR}/target_tile.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/target_cairo_tile.cpp"
 )
 target_sources(synfig
     PRIVATE
         "${CMAKE_CURRENT_LIST_DIR}/listimporter.cpp"
-        "${CMAKE_CURRENT_LIST_DIR}/cairolistimporter.cpp"
 )
 target_sources(synfig
     PRIVATE
@@ -121,17 +132,15 @@
 target_link_libraries(synfig
     PUBLIC
         ${SIGCPP_LIBRARIES}
-        ${GLIBMM_LIBARIES}
+        ${GLIBMM_LIBRARIES}
         ${GIOMM_LIBRARIES}
-        ${CAIRO_LIBRARIES}
         ${LIBXML_LIBRARIES}
+        ${XMLPP_LIBRARIES}
         ${MLT_LIBRARIES}
         ${ZLIB_LIBRARIES}
         ${FFTW_LIBRARIES}
+        ${LTDL_LIBRARIES}
         ${CMAKE_THREAD_LIBS_INIT}
-
-        # TODO: properly detect ltdl
-        ltdl
 )
 
 ## Install headers
