=== debian/changelog ===
synfig (1.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.

 -- Chris <dpkg@chris-nz.com>  Tue, 07 Sep 2021 16:15:05 +1200
